TopicCreate creates a new enabled topic with the given name and optional precondition.
TopicCreate creates a new enabled topic with the given name and optional precondition.
POST
/
topics/createSuccess
TopicDelete deletes a topic by ID.
TopicDelete deletes a topic by ID.
DELETE
/
topics/deleteQuery Parameters
idstring
Success
TopicGet returns a single topic looked up by ID or name.
TopicGet returns a single topic looked up by ID or name.
GET
/
topics/getSuccess
TopicGetPipeline returns the pipeline currently assigned to a topic.
TopicGetPipeline returns the pipeline currently assigned to a topic.
GET
/
topics/get-pipelineQuery Parameters
idstring
Success
TopicList returns all topics in the workspace.
TopicList returns all topics in the workspace.
GET
/
topics/listSuccess
TopicMove moves a topic to a new rank in the workspace topic ordering.
TopicMove moves a topic to a new rank in the workspace topic ordering.
POST
/
topics/moveSuccess
TopicSetPipeline sets the pipeline that a topic routes its events through.
TopicSetPipeline sets the pipeline that a topic routes its events through.
POST
/
topics/set-pipelineSuccess
TopicUpdate updates the name, precondition, and enabled state of a topic and returns the updated topic.
TopicUpdate updates the name, precondition, and enabled state of a topic and returns the updated topic.
PUT
/
topics/updateSuccess
TopicWizardCreate creates a topic and its associated pipeline in a single operation.
TopicWizardCreate creates a topic and its associated pipeline in a single operation.
POST
/
topics/wizard/createSuccess